#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const configureWebPack_1 = require("./webpack/configureWebPack");
const webpack_1 = __importDefault(require("webpack"));
const webpack_dev_server_1 = __importDefault(require("webpack-dev-server"));
(() => __awaiter(void 0, void 0, void 0, function* () {
    const config = yield configureWebPack_1.resultConfig();
    const compiler = webpack_1.default(config);
    const server = new webpack_dev_server_1.default(compiler, config.devServer);
    server.listen(config.devServer.port, config.devServer.host, (err) => {
        if (err) {
            console.log('An error occured while running web pack dev server. Details:');
            console.log(err);
        }
    });
}))();
//# sourceMappingURL=serve.js.map